Skip to main content
GET
/
environments
/
details
Gets current environment.
curl --request GET \
  --url https://api.example.com/environments/details \
  --header 'Authorization: Bearer <token>' \
  --header 'x-environment: <x-environment>'
import requests

url = "https://api.example.com/environments/details"

headers = {
"x-environment": "<x-environment>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'x-environment': '<x-environment>', Authorization: 'Bearer <token>'}
};

fetch('https://api.example.com/environments/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "timezone": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "address": {
    "street1": "<string>",
    "street2": "<string>",
    "postalCode": "<string>",
    "city": "<string>",
    "county": "<string>",
    "country": "<string>",
    "state": "<string>"
  }
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}

Headers

x-environment
string<uuid>
required

Configure which environment the request will handle. If the provided credentials do not allow access to this specified environment, a 403 Forbidden response is returned.

Response

OK

id
string<uuid>
required
name
string | null
required
timezone
string | null
required
createdAt
string<date-time>
required
type
enum<string>
required
Available options:
trial,
sandbox,
production
state
enum<string>
required
Available options:
provisioning,
active,
terminating,
terminated
updatedAt
string<date-time> | null
address
object